// ppt路由模块
/**
 * meta:{
 * noHead:pad端不需要顶部
 * hasBackHome:pad端顶部有返回首页
 * }
 */
export const pptRoutes=[
    {
        path:"/ppt/index",
        name:"PPTIndex",
        component: () => import("@/views/ppt/Index.vue"),
        meta: { 
            title: "智能PPT",
            keepAlive:false
        },
    },
    {
        path:"/ppt/detail",
        name:"PPTDetail",
        component: () => import("@/views/ppt/Detail.vue"),
        meta: { 
            title: "智能PPT",
            keepAlive:true
        },
    },
    {
        path:"/ppt/search",
        name:"PPTSearch",
        component: () => import("@/views/ppt/Search.vue"),
        meta: { 
            title: "搜索PPT",
            keepAlive:true
        },
    },
    {
        path:"/ppt/preview",
        name:"PPTPreview",
        component: () => import("@/views/ppt/Preview.vue"),
        meta: { 
            title: "智能PPT",
            noHead:true 
        },
    },
]