// myETA路由模块
/**
 * meta:{
 * }
 */
 export const myETARoutes=[
    {
        path:"/myETA/index",
        name:"MyETAIndex",
        component: () => import("@/views/myETA/Index.vue"),
        meta: { 
            title: "我的图库",
            keepAlive:true
        },
    },
    {
        path:"/myETA/searchlist",
        name:"MyETASearchList",
        component: () => import("@/views/myETA/SearchList.vue"),
        meta: { 
            title: "我的图库",
            keepAlive:true
        },
    },
    {
        path:"/myETA/choosechart",
        name:"MyETAChooseChart",
        component: () => import("@/views/myETA/ChooseChart.vue"),
        meta: { 
            title: "选择图表",
            keepAlive:false,
            hasBackTop:true
        },
    },
    {
        path:"/myETA/chartdetail",
        name:"MyETAChartDetail",
        component: () => import("@/views/myETA/ChartDetail.vue"),
        meta: { 
            title: "图表详情",
            keepAlive:false
        },
    }
]